<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class main extends Controller {
	public function __construct() {

		$this->header();
		$this->model('users');
		
		if($this->POST('login')):
			$login = $this->POST('sm_login');
			$password = $this->POST('sm_password');
			
			if($login && $password):
				if($this->usersModel->checkUser($login)):
					$user = $this->usersModel->checkUser($login);
					if($user['user_password'] == md5($password)):
						$_SESSION['user_id'] = $user['user_id'];
						$this->data['success'] = 'Вы успешно авторизировались! <a href="/admin">Обновить</a>';
						return $this->view(array('login/index'), $this->data); //Загружаем шаблон
					else:
						$this->data['error'] = 'Логин или пароль введен неверно!';
					endif;
				else:
					$this->data['error'] = 'Логин или пароль введен неверно!';
				endif;
			else:
				$this->data['error'] = 'Все поля обязательны к заполнению!';
			endif;
		endif;
		
		if(empty($_SESSION['user_id'])):
			return $this->view(array('login/index'), $this->data); //Загружаем шаблон
		endif;
		
		$this->data['activeSection'] = 'main';
		
		$url = @file_get_contents('http://server-mon.ru/version.php');
		$json = json_decode($url);

		if($json->version == $this->cfg('version')){
			$this->data['result'] = true;
		} else {
			$this->data['result'] = false;
		}
		
		return $this->view(array('common/header', 'main/update', 'common/footer'), $this->data); //Загружаем шаблон
	}
}